# dkim_mail_parse()

[back to index]

SYNOPSIS

    #include <dkim.h>
    int dkim_mail_parse(
    	char *line,
    	char **user_out,
    	char **domain_out
    );

Parse an RFC2822 header for a user and hostname.

DESCRIPTION

Called When | At any time.

ARGUMENTS

Argument | Description
--- | ---
line | Input line, not including the name of the header.
user_out | Pointer to a variable of type `(char *)` which will be set to point to the "local-part" (user ID) found in the input.
domain_out | Pointer to a variable of type `(char *)` which will be set to point to the domain found in the input.

RETURN VALUE | 0 on success, other on failure. The failure codes are internal to the library for now.

NOTES

- `line` is modified.
- This function is not part of the DKIM specification. It is provided as a facility to implementors to reduce code duplication.

Copyright (c) 2004, 2005, 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.